Skip to content

DBaaS Kafka

Kafka is a distributed, open-source data platform for optimized real-time processing of streaming data.

Read more

create-dbaas-kafka-schema-registry-acl-config

Add a Kafka Schema Registry ACL entry

POST /dbaas-kafka/{name}/schema-registry/acl-config

null

Path parameters

NameInDescription
namepathMin length: 0. Max length: 63.

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
permissionstringyesKafka Schema Registry permission

Allowed values: schema_registry_read, schema_registry_write.
resourcestringyesKafka Schema Registry name or pattern

Min length: 1. Max length: 249.
usernamestringyesKafka username or username pattern

Min length: 1. Max length: 64.
idstringnoKafka ACL ID

Min length: 1. Max length: 40.
Example
{
  "id": "string",
  "permission": "schema_registry_read",
  "resource": "string",
  "username": "string"
}

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for create-dbaas-kafka-schema-registry-acl-config: golang | Python | Java

CLI: exo api create-dbaas-kafka-schema-registry-acl-config

delete-dbaas-kafka-schema-registry-acl-config

Delete a Kafka ACL entry

DELETE /dbaas-kafka/{name}/schema-registry/acl-config/{acl-id}

null

Path parameters

NameInDescription
namepathMin length: 0. Max length: 63.
acl-idpathMin length: 1. Max length: 40.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for delete-dbaas-kafka-schema-registry-acl-config: golang | Python | Java

CLI: exo api delete-dbaas-kafka-schema-registry-acl-config

create-dbaas-kafka-topic-acl-config

Add a Kafka topic ACL entry

POST /dbaas-kafka/{name}/topic/acl-config

null

Path parameters

NameInDescription
namepathMin length: 0. Max length: 63.

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
permissionstringyesKafka permission

Allowed values: admin, read, readwrite, write.
topicstringyesKafka topic name or pattern

Min length: 1. Max length: 249.
usernamestringyesKafka username or username pattern

Min length: 1. Max length: 64.
idstringnoKafka ACL ID

Min length: 1. Max length: 40.
Example
{
  "id": "string",
  "permission": "admin",
  "topic": "string",
  "username": "string"
}

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for create-dbaas-kafka-topic-acl-config: golang | Python | Java

CLI: exo api create-dbaas-kafka-topic-acl-config

delete-dbaas-kafka-topic-acl-config

Delete a Kafka ACL entry

DELETE /dbaas-kafka/{name}/topic/acl-config/{acl-id}

null

Path parameters

NameInDescription
namepathMin length: 0. Max length: 63.
acl-idpathMin length: 1. Max length: 40.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for delete-dbaas-kafka-topic-acl-config: golang | Python | Java

CLI: exo api delete-dbaas-kafka-topic-acl-config

create-dbaas-kafka-user

Create a DBaaS Kafka user

POST /dbaas-kafka/{service-name}/user

null

Path parameters

NameInDescription
service-namepathMin length: 0. Max length: 63.

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
usernamestringyesUsername

Min length: 1. Max length: 64.
Example
{
  "username": "string"
}

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for create-dbaas-kafka-user: golang | Python | Java

CLI: exo api create-dbaas-kafka-user

delete-dbaas-kafka-user

Delete a DBaaS kafka user

DELETE /dbaas-kafka/{service-name}/user/{username}

null

Path parameters

NameInDescription
service-namepathMin length: 0. Max length: 63.
usernamepathMin length: 1. Max length: 64.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for delete-dbaas-kafka-user: golang | Python | Java

CLI: exo api delete-dbaas-kafka-user

reveal-dbaas-kafka-user-password

Reveal the secrets of a DBaaS Kafka user

GET /dbaas-kafka/{service-name}/user/{username}/password/reveal

null

Path parameters

NameInDescription
service-namepathMin length: 0. Max length: 63.
usernamepathMin length: 1. Max length: 64.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
access-certstringKafka certificate
access-cert-expirystringISO 8601 date-time.
access-keystringKafka access key
passwordstringKafka password
usernamestringKafka username
Example output
{
  "access-cert": "string",
  "access-cert-expiry": "2024-01-01T12:00:00Z",
  "access-key": "string",
  "password": "string",
  "username": "string"
}

SDK reference for reveal-dbaas-kafka-user-password: golang | Python | Java

CLI: exo api reveal-dbaas-kafka-user-password

reset-dbaas-kafka-user-password

Reset the credentials of a DBaaS Kafka user

PUT /dbaas-kafka/{service-name}/user/{username}/password/reset

If no password is provided one will be generated automatically.

Path parameters

NameInDescription
service-namepathMin length: 0. Max length: 63.
usernamepathMin length: 1. Max length: 64.

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
passwordstringnoNew password

Min length: 8. Max length: 256.
Example
{
  "password": "string"
}

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for reset-dbaas-kafka-user-password: golang | Python | Java

CLI: exo api reset-dbaas-kafka-user-password

create-dbaas-service-kafka

Create a DBaaS Kafka service

POST /dbaas-kafka/{name}

Create a DBaaS Kafka service

Path parameters

NameInDescription
namepathMin length: 0. Max length: 63.

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
planstringyesSubscription plan

Min length: 1. Max length: 128.
authentication-methodsAuthentication MethodsnoKafka authentication methods
ip-filterarray[string]noAllow incoming connections from CIDR address block, e.g. ‘10.20.0.0/16’
kafka-connect-enabledbooleannoAllow clients to connect to kafka_connect from the public internet for service nodes that are in a project VPC or another type of private network
kafka-connect-settingsKafka Connect configuration valuesnoKafka Connect configuration values
kafka-rest-enabledbooleannoEnable Kafka-REST service
kafka-rest-settingsKafka REST configurationnoKafka REST configuration
kafka-settingsKafka broker configuration valuesnoKafka-specific settings
maintenanceMaintenancenoAutomatic maintenance settings
schema-registry-enabledbooleannoEnable Schema-Registry service
schema-registry-settingsSchema Registry configurationnoSchema Registry configuration
termination-protectionbooleannoService is protected against termination and powering off
versionstringnoKafka major version

Min length: 1.
Example
{
  "authentication-methods": {
    "certificate": true,
    "sasl": true
  },
  "ip-filter": [
    "string"
  ],
  "kafka-connect-enabled": true,
  "kafka-connect-settings": {
    "connector_client_config_override_policy": "None",
    "consumer_auto_offset_reset": "earliest",
    "consumer_fetch_max_bytes": 0,
    "consumer_isolation_level": "read_uncommitted",
    "consumer_max_partition_fetch_bytes": 0,
    "consumer_max_poll_interval_ms": 0,
    "consumer_max_poll_records": 0,
    "offset_flush_interval_ms": 0,
    "offset_flush_timeout_ms": 0,
    "producer_batch_size": 0,
    "producer_buffer_memory": 0,
    "producer_compression_type": "gzip",
    "producer_linger_ms": 0,
    "producer_max_request_size": 0,
    "scheduled_rebalance_max_delay_ms": 0,
    "session_timeout_ms": 0
  },
  "kafka-rest-enabled": true,
  "kafka-rest-settings": {
    "consumer_enable_auto_commit": true,
    "consumer_request_max_bytes": 0,
    "consumer_request_timeout_ms": 0,
    "name_strategy": "topic_name",
    "name_strategy_validation": true,
    "producer_acks": "all",
    "producer_compression_type": "gzip",
    "producer_linger_ms": 0,
    "producer_max_request_size": 0,
    "simpleconsumer_pool_size_max": 0
  },
  "kafka-settings": {
    "auto_create_topics_enable": true,
    "compression_type": "gzip",
    "connections_max_idle_ms": 0,
    "default_replication_factor": 0,
    "group_initial_rebalance_delay_ms": 0,
    "group_max_session_timeout_ms": 0,
    "group_min_session_timeout_ms": 0,
    "log-cleanup-and-compaction": {
      "log_cleaner_delete_retention_ms": 0,
      "log_cleaner_max_compaction_lag_ms": 0,
      "log_cleaner_min_cleanable_ratio": 0,
      "log_cleaner_min_compaction_lag_ms": 0,
      "log_cleanup_policy": "delete"
    },
    "log_flush_interval_messages": 0,
    "log_flush_interval_ms": 0,
    "log_index_interval_bytes": 0,
    "log_index_size_max_bytes": 0,
    "log_local_retention_bytes": 0,
    "log_local_retention_ms": 0,
    "log_message_downconversion_enable": true,
    "log_message_timestamp_difference_max_ms": 0,
    "log_message_timestamp_type": "CreateTime",
    "log_preallocate": true,
    "log_retention_bytes": 0,
    "log_retention_hours": 0,
    "log_retention_ms": 0,
    "log_roll_jitter_ms": 0,
    "log_roll_ms": 0,
    "log_segment_bytes": 0,
    "log_segment_delete_delay_ms": 0,
    "max_connections_per_ip": 0,
    "max_incremental_fetch_session_cache_slots": 0,
    "message_max_bytes": 0,
    "min_insync_replicas": 0,
    "num_partitions": 0,
    "offsets_retention_minutes": 0,
    "producer_purgatory_purge_interval_requests": 0,
    "replica_fetch_max_bytes": 0,
    "replica_fetch_response_max_bytes": 0,
    "sasl_oauthbearer_expected_audience": "string",
    "sasl_oauthbearer_expected_issuer": "string",
    "sasl_oauthbearer_jwks_endpoint_url": "string",
    "sasl_oauthbearer_sub_claim_name": "string",
    "socket_request_max_bytes": 0,
    "transaction_partition_verification_enable": true,
    "transaction_remove_expired_transaction_cleanup_interval_ms": 0,
    "transaction_state_log_segment_bytes": 0
  },
  "maintenance": {
    "dow": "saturday",
    "time": "string"
  },
  "plan": "string",
  "schema-registry-enabled": true,
  "schema-registry-settings": {
    "leader_eligibility": true,
    "topic_name": "_schemas"
  },
  "termination-protection": true,
  "version": "string"
}

Authentication Methods

Kafka authentication methods

PropertyTypeRequiredDescription
certificatebooleannoEnable certificate/SSL authentication
saslbooleannoEnable SASL authentication

Maintenance

Automatic maintenance settings

PropertyTypeRequiredDescription
dowstringyesDay of week for installing updates

Allowed values: saturday, tuesday, never, wednesday, sunday, friday, monday, thursday.
timestringyesTime for installing updates, UTC

Min length: 8. Max length: 8.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for create-dbaas-service-kafka: golang | Python | Java

CLI: exo api create-dbaas-service-kafka

get-dbaas-service-kafka

Get a DBaaS Kafka service

GET /dbaas-kafka/{name}

null

Path parameters

NameInDescription
namepathMin length: 0. Max length: 63.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
authentication-methodsAuthentication MethodsKafka authentication methods
backupsarray of List of backups for the serviceList of backups for the service
componentsarray of ComponentsService component information objects
connection-infoConnection InfoKafka connection information properties
created-atstringService creation timestamp (ISO 8601)

ISO 8601 date-time.
disk-sizeintegerTODO UNIT disk space for data storage

Min: 0.
integrationsarray of DBaaS IntegrationService integrations
ip-filterarray[string]Allow incoming connections from CIDR address block, e.g. ‘10.20.0.0/16’
kafka-connect-enabledbooleanWhether Kafka Connect is enabled
kafka-connect-settingsKafka Connect configuration valuesKafka Connect configuration values
kafka-rest-enabledbooleanWhether Kafka REST is enabled
kafka-rest-settingsKafka REST configurationKafka REST configuration
kafka-settingsKafka broker configuration valuesKafka-specific settings
maintenanceAutomatic maintenance settingsAutomatic maintenance settings
namestringService name

Min length: 0. Max length: 63.
node-countintegerNumber of service nodes in the active plan

Min: 0.
node-cpu-countintegerNumber of CPUs for each node

Min: 0.
node-memoryintegerTODO UNIT of memory for each node

Min: 0.
node-statesarray of Automatic maintenance settingsState of individual service nodes
notificationsarray of Service notificationsService notifications
planstringSubscription plan
prometheus-uriPrometheus URIPrometheus integration URI
schema-registry-enabledbooleanWhether Schema-Registry is enabled
schema-registry-settingsSchema Registry configurationSchema Registry configuration
statestringState of the service

Allowed values: running, rebuilding, rebalancing, poweroff.
termination-protectionbooleanService is protected against termination and powering off
typestringService type code

Min length: 0. Max length: 64.
updated-atstringService last update timestamp (ISO 8601)

ISO 8601 date-time.
uristringURI for connecting to the service (may be absent)
uri-paramsobjectservice_uri parameterized into key-value pairs
usersarray of UsersList of service users
versionstringKafka version
zonestringThe zone where the service is running
Example output
{
  "authentication-methods": {
    "certificate": true,
    "sasl": true
  },
  "backups": [
    {
      "backup-name": "string",
      "backup-time": "2024-01-01T12:00:00Z",
      "data-size": 0
    }
  ],
  "components": [
    {
      "component": "string",
      "host": "string",
      "kafka-authentication-method": "certificate",
      "port": 0,
      "route": "dynamic",
      "usage": "primary"
    }
  ],
  "connection-info": {
    "access-cert": "string",
    "access-key": "string",
    "connect-uri": "string",
    "nodes": [
      "string"
    ],
    "registry-uri": "string",
    "rest-uri": "string"
  },
  "created-at": "2024-01-01T12:00:00Z",
  "disk-size": 0,
  "integrations": [
    {
      "description": "string",
      "dest": "string",
      "id": "string",
      "is-active": true,
      "is-enabled": true,
      "settings": {},
      "source": "string",
      "status": "string",
      "type": "string"
    }
  ],
  "ip-filter": [
    "string"
  ],
  "kafka-connect-enabled": true,
  "kafka-connect-settings": {
    "connector_client_config_override_policy": "None",
    "consumer_auto_offset_reset": "earliest",
    "consumer_fetch_max_bytes": 0,
    "consumer_isolation_level": "read_uncommitted",
    "consumer_max_partition_fetch_bytes": 0,
    "consumer_max_poll_interval_ms": 0,
    "consumer_max_poll_records": 0,
    "offset_flush_interval_ms": 0,
    "offset_flush_timeout_ms": 0,
    "producer_batch_size": 0,
    "producer_buffer_memory": 0,
    "producer_compression_type": "gzip",
    "producer_linger_ms": 0,
    "producer_max_request_size": 0,
    "scheduled_rebalance_max_delay_ms": 0,
    "session_timeout_ms": 0
  },
  "kafka-rest-enabled": true,
  "kafka-rest-settings": {
    "consumer_enable_auto_commit": true,
    "consumer_request_max_bytes": 0,
    "consumer_request_timeout_ms": 0,
    "name_strategy": "topic_name",
    "name_strategy_validation": true,
    "producer_acks": "all",
    "producer_compression_type": "gzip",
    "producer_linger_ms": 0,
    "producer_max_request_size": 0,
    "simpleconsumer_pool_size_max": 0
  },
  "kafka-settings": {
    "auto_create_topics_enable": true,
    "compression_type": "gzip",
    "connections_max_idle_ms": 0,
    "default_replication_factor": 0,
    "group_initial_rebalance_delay_ms": 0,
    "group_max_session_timeout_ms": 0,
    "group_min_session_timeout_ms": 0,
    "log-cleanup-and-compaction": {
      "log_cleaner_delete_retention_ms": 0,
      "log_cleaner_max_compaction_lag_ms": 0,
      "log_cleaner_min_cleanable_ratio": 0,
      "log_cleaner_min_compaction_lag_ms": 0,
      "log_cleanup_policy": "delete"
    },
    "log_flush_interval_messages": 0,
    "log_flush_interval_ms": 0,
    "log_index_interval_bytes": 0,
    "log_index_size_max_bytes": 0,
    "log_local_retention_bytes": 0,
    "log_local_retention_ms": 0,
    "log_message_downconversion_enable": true,
    "log_message_timestamp_difference_max_ms": 0,
    "log_message_timestamp_type": "CreateTime",
    "log_preallocate": true,
    "log_retention_bytes": 0,
    "log_retention_hours": 0,
    "log_retention_ms": 0,
    "log_roll_jitter_ms": 0,
    "log_roll_ms": 0,
    "log_segment_bytes": 0,
    "log_segment_delete_delay_ms": 0,
    "max_connections_per_ip": 0,
    "max_incremental_fetch_session_cache_slots": 0,
    "message_max_bytes": 0,
    "min_insync_replicas": 0,
    "num_partitions": 0,
    "offsets_retention_minutes": 0,
    "producer_purgatory_purge_interval_requests": 0,
    "replica_fetch_max_bytes": 0,
    "replica_fetch_response_max_bytes": 0,
    "sasl_oauthbearer_expected_audience": "string",
    "sasl_oauthbearer_expected_issuer": "string",
    "sasl_oauthbearer_jwks_endpoint_url": "string",
    "sasl_oauthbearer_sub_claim_name": "string",
    "socket_request_max_bytes": 0,
    "transaction_partition_verification_enable": true,
    "transaction_remove_expired_transaction_cleanup_interval_ms": 0,
    "transaction_state_log_segment_bytes": 0
  },
  "maintenance": {
    "dow": "saturday",
    "time": "string",
    "updates": [
      {
        "deadline": "2024-01-01T12:00:00Z",
        "description": "string",
        "start-after": "2024-01-01T12:00:00Z",
        "start-at": "2024-01-01T12:00:00Z"
      }
    ]
  },
  "name": "string",
  "node-count": 0,
  "node-cpu-count": 0,
  "node-memory": 0,
  "node-states": [
    {
      "name": "string",
      "progress-updates": [
        {
          "completed": true,
          "current": 0,
          "max": 0,
          "min": 0,
          "phase": "stream",
          "unit": "string"
        }
      ],
      "role": "standby",
      "state": "leaving"
    }
  ],
  "notifications": [
    {
      "level": "warning",
      "message": "string",
      "metadata": {},
      "type": "service_powered_off_removal"
    }
  ],
  "plan": "string",
  "prometheus-uri": {
    "host": "string",
    "port": 0
  },
  "schema-registry-enabled": true,
  "schema-registry-settings": {
    "leader_eligibility": true,
    "topic_name": "_schemas"
  },
  "state": "running",
  "termination-protection": true,
  "type": "string",
  "updated-at": "2024-01-01T12:00:00Z",
  "uri": "string",
  "uri-params": {},
  "users": [
    {
      "access-cert": "string",
      "access-cert-expiry": "2024-01-01T12:00:00Z",
      "access-key": "string",
      "password": "string",
      "type": "string",
      "username": "string"
    }
  ],
  "version": "string",
  "zone": "string"
}

SDK reference for get-dbaas-service-kafka: golang | Python | Java

CLI: exo api get-dbaas-service-kafka

update-dbaas-service-kafka

Update a DBaaS Kafka service

PUT /dbaas-kafka/{name}

Update a DBaaS Kafka service

Path parameters

NameInDescription
namepathMin length: 0. Max length: 63.

Request body

Content-Type: application/json

PropertyTypeRequiredDescription
authentication-methodsAuthentication MethodsnoKafka authentication methods
ip-filterarray[string]noAllow incoming connections from CIDR address block, e.g. ‘10.20.0.0/16’
kafka-connect-enabledbooleannoAllow clients to connect to kafka_connect from the public internet for service nodes that are in a project VPC or another type of private network
kafka-connect-settingsKafka Connect configuration valuesnoKafka Connect configuration values
kafka-rest-enabledbooleannoEnable Kafka-REST service
kafka-rest-settingsKafka REST configurationnoKafka REST configuration
kafka-settingsKafka broker configuration valuesnoKafka-specific settings
maintenanceMaintenancenoAutomatic maintenance settings
planstringnoSubscription plan

Min length: 1. Max length: 128.
schema-registry-enabledbooleannoEnable Schema-Registry service
schema-registry-settingsSchema Registry configurationnoSchema Registry configuration
termination-protectionbooleannoService is protected against termination and powering off
versionstringnoKafka major version

Min length: 1.
Example
{
  "authentication-methods": {
    "certificate": true,
    "sasl": true
  },
  "ip-filter": [
    "string"
  ],
  "kafka-connect-enabled": true,
  "kafka-connect-settings": {
    "connector_client_config_override_policy": "None",
    "consumer_auto_offset_reset": "earliest",
    "consumer_fetch_max_bytes": 0,
    "consumer_isolation_level": "read_uncommitted",
    "consumer_max_partition_fetch_bytes": 0,
    "consumer_max_poll_interval_ms": 0,
    "consumer_max_poll_records": 0,
    "offset_flush_interval_ms": 0,
    "offset_flush_timeout_ms": 0,
    "producer_batch_size": 0,
    "producer_buffer_memory": 0,
    "producer_compression_type": "gzip",
    "producer_linger_ms": 0,
    "producer_max_request_size": 0,
    "scheduled_rebalance_max_delay_ms": 0,
    "session_timeout_ms": 0
  },
  "kafka-rest-enabled": true,
  "kafka-rest-settings": {
    "consumer_enable_auto_commit": true,
    "consumer_request_max_bytes": 0,
    "consumer_request_timeout_ms": 0,
    "name_strategy": "topic_name",
    "name_strategy_validation": true,
    "producer_acks": "all",
    "producer_compression_type": "gzip",
    "producer_linger_ms": 0,
    "producer_max_request_size": 0,
    "simpleconsumer_pool_size_max": 0
  },
  "kafka-settings": {
    "auto_create_topics_enable": true,
    "compression_type": "gzip",
    "connections_max_idle_ms": 0,
    "default_replication_factor": 0,
    "group_initial_rebalance_delay_ms": 0,
    "group_max_session_timeout_ms": 0,
    "group_min_session_timeout_ms": 0,
    "log-cleanup-and-compaction": {
      "log_cleaner_delete_retention_ms": 0,
      "log_cleaner_max_compaction_lag_ms": 0,
      "log_cleaner_min_cleanable_ratio": 0,
      "log_cleaner_min_compaction_lag_ms": 0,
      "log_cleanup_policy": "delete"
    },
    "log_flush_interval_messages": 0,
    "log_flush_interval_ms": 0,
    "log_index_interval_bytes": 0,
    "log_index_size_max_bytes": 0,
    "log_local_retention_bytes": 0,
    "log_local_retention_ms": 0,
    "log_message_downconversion_enable": true,
    "log_message_timestamp_difference_max_ms": 0,
    "log_message_timestamp_type": "CreateTime",
    "log_preallocate": true,
    "log_retention_bytes": 0,
    "log_retention_hours": 0,
    "log_retention_ms": 0,
    "log_roll_jitter_ms": 0,
    "log_roll_ms": 0,
    "log_segment_bytes": 0,
    "log_segment_delete_delay_ms": 0,
    "max_connections_per_ip": 0,
    "max_incremental_fetch_session_cache_slots": 0,
    "message_max_bytes": 0,
    "min_insync_replicas": 0,
    "num_partitions": 0,
    "offsets_retention_minutes": 0,
    "producer_purgatory_purge_interval_requests": 0,
    "replica_fetch_max_bytes": 0,
    "replica_fetch_response_max_bytes": 0,
    "sasl_oauthbearer_expected_audience": "string",
    "sasl_oauthbearer_expected_issuer": "string",
    "sasl_oauthbearer_jwks_endpoint_url": "string",
    "sasl_oauthbearer_sub_claim_name": "string",
    "socket_request_max_bytes": 0,
    "transaction_partition_verification_enable": true,
    "transaction_remove_expired_transaction_cleanup_interval_ms": 0,
    "transaction_state_log_segment_bytes": 0
  },
  "maintenance": {
    "dow": "saturday",
    "time": "string"
  },
  "plan": "string",
  "schema-registry-enabled": true,
  "schema-registry-settings": {
    "leader_eligibility": true,
    "topic_name": "_schemas"
  },
  "termination-protection": true,
  "version": "string"
}

Authentication Methods

Kafka authentication methods

PropertyTypeRequiredDescription
certificatebooleannoEnable certificate/SSL authentication
saslbooleannoEnable SASL authentication

Maintenance

Automatic maintenance settings

PropertyTypeRequiredDescription
dowstringyesDay of week for installing updates

Allowed values: saturday, tuesday, never, wednesday, sunday, friday, monday, thursday.
timestringyesTime for installing updates, UTC

Min length: 8. Max length: 8.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for update-dbaas-service-kafka: golang | Python | Java

CLI: exo api update-dbaas-service-kafka

delete-dbaas-service-kafka

Delete a Kafka service

DELETE /dbaas-kafka/{name}

null

Path parameters

NameInDescription
namepath

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for delete-dbaas-service-kafka: golang | Python | Java

CLI: exo api delete-dbaas-service-kafka


Other Operations

get-dbaas-kafka-acl-config

Get DBaaS kafka ACL configuration

GET /dbaas-kafka/{name}/acl-config

null

Path parameters

NameInDescription
namepathMin length: 0. Max length: 63.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
schema-registry-aclarray of DBaaS Kafka Schema Registry Acl Entry
topic-aclarray of DBaaS Kafka Topic Acl Entry
Example output
{
  "schema-registry-acl": [
    {
      "id": "string",
      "permission": "schema_registry_read",
      "resource": "string",
      "username": "string"
    }
  ],
  "topic-acl": [
    {
      "id": "string",
      "permission": "admin",
      "topic": "string",
      "username": "string"
    }
  ]
}

SDK reference for get-dbaas-kafka-acl-config: golang | Python | Java

CLI: exo api get-dbaas-kafka-acl-config

reveal-dbaas-kafka-connect-password

Reveal the secrets for DBaaS Kafka Connect

GET /dbaas-kafka/{service-name}/connect/password/reveal

null

Path parameters

NameInDescription
service-namepathMin length: 0. Max length: 63.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
passwordstringKafka Connect password
usernamestringKafka Connect username
Example output
{
  "password": "string",
  "username": "string"
}

SDK reference for reveal-dbaas-kafka-connect-password: golang | Python | Java

CLI: exo api reveal-dbaas-kafka-connect-password

start-dbaas-kafka-maintenance

Initiate Kafka maintenance update

PUT /dbaas-kafka/{name}/maintenance/start

null

Path parameters

NameInDescription
namepathMin length: 0. Max length: 63.

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
idstringOperation ID

Must be a valid UUID.
messagestringOperation message
reasonstringOperation failure reason

Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict.
referenceReferenceRelated resource reference
statestringOperation status

Allowed values: failure, pending, success, timeout.
Example output
{
  "id": "string",
  "message": "string",
  "reason": "incorrect",
  "reference": {
    "command": "string",
    "id": "string",
    "link": "string"
  },
  "state": "failure"
}

SDK reference for start-dbaas-kafka-maintenance: golang | Python | Java

CLI: exo api start-dbaas-kafka-maintenance

get-dbaas-settings-kafka

Get DBaaS Kafka settings

GET /dbaas-settings-kafka

Get DBaaS Kafka settings

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
settingsSettings
Example output
{
  "settings": {
    "kafka": {
      "additionalProperties": true,
      "properties": {},
      "title": "string",
      "type": "string"
    },
    "kafka-connect": {
      "additionalProperties": true,
      "properties": {},
      "title": "string",
      "type": "string"
    },
    "kafka-rest": {
      "additionalProperties": true,
      "properties": {},
      "title": "string",
      "type": "string"
    },
    "schema-registry": {
      "additionalProperties": true,
      "properties": {},
      "title": "string",
      "type": "string"
    }
  }
}

Settings

PropertyTypeRequiredDescription
kafkaKafkanoKafka broker configuration values
kafka-connectKafka ConnectnoKafka Connect configuration values
kafka-restKafka RestnoKafka REST configuration
schema-registrySchema RegistrynoSchema Registry configuration

Kafka

Kafka broker configuration values

PropertyTypeRequiredDescription
additionalPropertiesbooleanno
propertiesobjectno
titlestringno
typestringno

Kafka Connect

Kafka Connect configuration values

PropertyTypeRequiredDescription
additionalPropertiesbooleanno
propertiesobjectno
titlestringno
typestringno

Kafka Rest

Kafka REST configuration

PropertyTypeRequiredDescription
additionalPropertiesbooleanno
propertiesobjectno
titlestringno
typestringno

Schema Registry

Schema Registry configuration

PropertyTypeRequiredDescription
additionalPropertiesbooleanno
propertiesobjectno
titlestringno
typestringno

SDK reference for get-dbaas-settings-kafka: golang | Python | Java

CLI: exo api get-dbaas-settings-kafka

Last updated on